// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the SVN4DW_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// SVN4DW_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef SVN4DW_EXPORTS
#define SVN4DW_API __declspec(dllexport)
#else
#define SVN4DW_API __declspec(dllimport)
#endif

#include "svn_client.h"
#include "svn_pools.h"
#include "apr.h"

typedef struct {
	apr_pool_t *pool;
	svn_client_ctx_t *ctx;
	char dummy[255];
} svn4dwca;

extern svn4dwca sharedCA;

/*
* casi una copia de SVN_ERR, pero va a modificarse
* para que llame una funcion ma en algn momento
*/
#define CHECK_SVN_RET(expr)                        \
  do {                                          \
    svn_error_t *svn_err__temp = (expr);        \
    if (svn_err__temp)                          \
      return false;                     \
  } while (0)